module PolyglotIos
  module IO
    class Token

      KEYCHAIN_SERVICE = 'polyglot'.freeze
      KEYCHAIN_TOKEN_KEY = 'polyglot_token'.freeze
      
      class << self
        def write(token)
          keychain[KEYCHAIN_SERVICE, KEYCHAIN_TOKEN_KEY] = token
        end
    
        def read
          keychain[KEYCHAIN_SERVICE, KEYCHAIN_TOKEN_KEY]
        end

        def keychain
          @keychain ||= OSXKeychain.new
        end

      end
    end
  end
end
  