module PolyglotIos
  module Serializer
    module Source
      class TranslationCase
        include Helper::General

        attr_accessor :name
        attr_accessor :value

        def initialize(name, value)
          @name = name
          @value = value
        end

        def serialized()
          clean_name = clean_case_name(name)
          "case #{clean_name} = \"#{value}\""
        end
        
      end
    end
  end
end